clan::FontMetrics Class Reference - ClanLib SDK
Description: clan::FontMetrics Class Reference

Public Member Functions | List of all members
clan::FontMetrics Class Reference
clanDisplay Font

Font metrics class. More...

`#include <font_metrics.h>`

## Public Member Functions
| FontMetrics ()
| FontMetrics (float height, float ascent, float descent, float internal_leading, float external_leading, float line_height, float pixel_ratio)
| ~FontMetrics ()
float | get_ascent () const
| Returns the font ascender.
float | get_baseline_offset () const
| Returns the baseline offset from the top of a line.
float | get_descent () const
| Returns the font descender.
float | get_external_leading () const
| Returns the amount of extra leading (space) that to add between rows.
float | get_height () const
| Returns the height of the font.
float | get_internal_leading () const
| Returns the amount of leading (space) inside the bounds set by the get_height() function.
float | get_line_height () const
| Return the distance between lines.

## Detailed Description

Font metrics class.

## Constructor & Destructor Documentation

## ◆ FontMetrics() [1/2]

clan::FontMetrics::FontMetrics | ( |  | ) |

## ◆ FontMetrics() [2/2]

clan::FontMetrics::FontMetrics | ( | float | height,
|  | float | ascent,
|  | float | descent,
|  | float | internal_leading,
|  | float | external_leading,
|  | float | line_height,
|  | float | pixel_ratio )

## ◆ ~FontMetrics()

clan::FontMetrics::~FontMetrics | ( |  | ) |

## Member Function Documentation

## ◆ get_ascent()

float clan::FontMetrics::get_ascent | ( |  | ) | const

Returns the font ascender.

## ◆ get_baseline_offset()

float clan::FontMetrics::get_baseline_offset | ( |  | ) | const

Returns the baseline offset from the top of a line.

## ◆ get_descent()

float clan::FontMetrics::get_descent | ( |  | ) | const

Returns the font descender.

## ◆ get_external_leading()

float clan::FontMetrics::get_external_leading | ( |  | ) | const

Returns the amount of extra leading (space) that to add between rows.

## ◆ get_height()

float clan::FontMetrics::get_height | ( |  | ) | const

Returns the height of the font.

## ◆ get_internal_leading()

float clan::FontMetrics::get_internal_leading | ( |  | ) | const

Returns the amount of leading (space) inside the bounds set by the get_height() function.

## ◆ get_line_height()

float clan::FontMetrics::get_line_height | ( |  | ) | const

Return the distance between lines.

The documentation for this class was generated from the following file:

- font_metrics.h